> For the complete documentation index, see [llms.txt](https://dadocs.rickyjs.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://dadocs.rickyjs.xyz/endpoints/db/deleteall.md).

# /deleteAll

### Endpoint Headers:

* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint URL Parameters

* query - Retrieves entries based off if the provided string is within their names <mark style="color:orange;">**\[String]**</mark> (<mark style="color:green;">**Optional**</mark>)

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/db/deleteAll` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpGet[https://bdfddata.rickyjs.xyz/<version>/db/deleteAll]


$httpResult OR $httpResult[entries]
```

OR

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpGet[https://bdfddata.rickyjs.xyz/<version>/db/deleteAll?query=<SEARCH-QUERY>]

$httpResult OR $httpResult[entries]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/db/deleteAll` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.get('https://bdfddata.rickyjs.xyz/<version>/db/deleteAll', {
headers: {
"apikey": "<YOUR-API-KEY>"
}
}).then(res=>res.data)
})()
```

OR

<pre class="language-javascript"><code class="lang-javascript"><strong>const axios = require('axios');
</strong>(async () => {
return await axios.get('https://bdfddata.rickyjs.xyz/&#x3C;version>/db/deleteAll?query=&#x3C;SEARCH-QUERY>', {
headers: {
"apikey": "&#x3C;YOUR-API-KEY>"
}
}).then(res=>res.data)
})()
</code></pre>

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200 (Query Not Used)</summary>

API succeeded and details were fetched.

```javascript
{
 status: 200,
 entries: true // returns 'true' if successfully deleted, else returns 'false'
 }   
```

</details>

<details>

<summary>Code 200 (Query Used)</summary>

API succeeded and details were fetched.

```javascript
{
 status: 200,
 entries: [ { age: 'true' }, { 'age-1': 'true' } ],  // ?query=age
 // returns name of entries and 'true' if successfully deleted, else returns 'false'
 }   
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 424</summary>

Origin Database Unavailable

```javascript
  status: 424,
  error: 'An error occurred while contacting our Database. Please contact the BDFDDaya API Support Team if this issue persists.'
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/db/deleteall.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
